<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Websites\' logs check',

    'regularCheck' => 'Regular check',
    'manualCheck' => 'Manual check',

    'promoTitle' => 'Fast detection of unavailability or incorrect work of your websites',
    'promoDescription' => 'Often website problem may appear in from of visitors, but the invisible to the administrators, unless they constantly analyze the website logs. Our brand new logs check automates this routine and helps address the found problems efficiently.',
    'promoMore' => 'Learn more',
    'promoButton' => 'Got it!',
    'checkEnabledTitle' => 'Regular check is on',
    'checkDisabledTitle' => 'Regular check is off',
    'disabledDescription' => 'Switch on the check to know if there are any problems in your websites that may cause its unavailability or incorrect work',
    'websitesChecked' => '{count, plural, one {# website gets} other {# websites get}} checked daily.',
    'websitesCheckedAt' => '{count, plural, one {# website gets} other {# websites get}} checked daily at %%time%%.',
    'websitesNotChecked' => 'The check is disabled on {count, plural, one {# website} other {# websites}}.',
    'checkedWebsites' => 'List of checked websites',
    'lastCheckTitle' => 'Last check',
    'lastCheckDescription' => 'Carried out %%date%% at %%time%% and took %%duration%% minutes',
    'lastCheckError' => '%%problems%% found on %%websites%%',
    'lastCheckErrorServerWide' => '%%problems%% found',
    'lastCheckSuccess' => 'No problem found',
    'lastCheckProblems' => '{count, plural, one {# problem} other {# problems}}',
    'lastCheckWebsites' => '{count, plural, one {# website} other {# websites}}',
    'durationLess' => 'less than 0.1',
    'month0' => '%%date%% Jan',
    'month1' => '%%date%% Feb',
    'month2' => '%%date%% Mar',
    'month3' => '%%date%% Apr',
    'month4' => '%%date%% May',
    'month5' => '%%date%% Jun',
    'month6' => '%%date%% Jul',
    'month7' => '%%date%% Aug',
    'month8' => '%%date%% Sep',
    'month9' => '%%date%% Oct',
    'month10' => '%%date%% Nov',
    'month11' => '%%date%% Dec',
    'exportTitle' => 'The report is static',
    'exportDescription' => 'It doesn\'t reflect any changes to the website.',
    'export' => 'Export the report to CSV',
    'buttonRun' => 'Run a new manual check',
    'buttonRunDescription' => 'Find problems, that may cause unavailability or incorrect work of your websites',

    'websites.title' => 'List of checked websites',
    'websites.description' => '%%selected%% of %%total%% websites are selected',
    'websites.search' => 'Find websites...',
    'websites.new' => 'All newly created websites',
    'websites.newHint' => 'If checked, all the new websites will automatically be included into the list',
    'websites.existing' => 'All existing websites',
    'websites.buttonSave' => 'Save the list',
    'websites.buttonCancel' => 'Cancel',
    'websites.updateSuccess' => 'Settings were updated',

    'tabs.problemDetails' => 'Problem details',
    'tabs.affectedWebsites' => 'Affected websites',

    'chart.requests' => 'Requests',
    'chart.errors' => 'Errors',

    'affected-websites.selected' => '%%selectedCount%% of %%totalCount%% websites are selected',
    'affected-websites.none' => 'None',
    'affected-websites.all' => 'All',
    'affected-websites.searchForWebsite' => 'Search for websites',
    'affected-websites.websites' => 'Websites',

    'problem-report.commonTitle' => 'Problem reported',
    'problem-report.domainTitle' => 'Problem reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Problem reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide problem reported',
    'problem-report.problemAppearsOn' => 'The problem appears on a total of {count, plural, one {# website} other {# websites}}:',
    'problem-report.seeTheConsolidatedReport' => 'See the consolidated report',
    'problem-report.cause' => 'Root cause',
    'problem-report.possibleSolution' => 'Possible solution',
    'problem-report.possibleSolutionNumber' => 'Possible solution #%%number%%',
    'problem-report.useAnOption' => 'Use an option for automatic solution',
    'problem-report.repairTheWebsite' => 'Repair the website',
    'problem-report.selectAndRepair' => 'Select and repair several websites',
    'problem-report.logEntries' => 'Examples of log entries indicating the problem',
    'problem-report.pleaseKeepInMind' => 'Please keep in mind that logs are constantly rotated and the mentioned entries are eventually transferred to archive or deleted',
    'problem-report.numberOfEntries' => 'Number of entries',
    'problem-report.logEntry' => 'Log entry',
    'problem-report.logFile' => 'Log file',
    'problem-report.openWebsiteLogs' => 'Open website logs',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide problem that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide problem reported',

    'distribution-over-time.title' => 'Distribution of the problem over time',
    'distribution-over-time.serverTimezone' => 'Server time zone (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Your time zone (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recomend comparing the error distribution chart with %%link%% in the Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Resource usage charts',

    'report.title' => 'Report on the last check',
    'report.groupByWebsites' => 'Grouped by websites',
    'report.groupByProblems' => 'By problems',
    'report.columnWebsite' => 'Website',
    'report.columnStatus' => 'Last check result',
    'report.columnProblem' => 'Problem',
    'report.columnAppearedOn' => 'Appeared on',
    'report.serverWideName' => 'Server-wide problems',
    'report.serverWideDescription' => 'These are the problems that affect the whole server and all the websites on it',
    'report.statusProblems' => '{count, plural, one {# problem} other {# problems}}',
    'report.statusSuccess' => 'Safe and sound',
    'report.serverWide' => 'The whole server',
    'report.appearedOn' => '{count, plural, one {# website} other {# websites}}',
    'report.actionPreview' => 'Preview website',
    'report.actionManage' => 'Manage website',
    'report.actionLogs' => 'Website logs',
    'report.problemsList' => '{count, plural, one {# problem} other {# problems}} found',
    'report.serverWideProblemsList' => '{count, plural, one {# server-wide problem} other {# server-wide problems}} found',
    'report.groupByWebsitesTotal' => '{totalRows, plural, one {# item} other {# items}} total',
    'report.searchWebsite' => 'Find websites...',
    'report.searchProblem' => 'Find problems...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# problem} other {# problems}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No problems were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Looks like you keep your websites in good shape. Well done!',

    'new-check.title' => 'Running a new manual check',
    'new-check.description' => '%%selected%% of %%total%% websites are selected',
    'new-check.depth' => 'Depth of the check',
    'new-check.hours' => 'last hours',
    'new-check.websites' => 'Websites to check',
    'new-check.buttonSave' => 'Check',
    'new-check.buttonCancel' => 'Cancel',
    'new-check.search' => 'Find websites...',
    'new-check.manualCheckProblems' => 'Websites with problems in the last manual check',
    'new-check.regularCheckProblems' => 'Websites with problems in the last regular check',
    'new-check.allWebsites' => 'All websites',
];
